Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/xcursorgen: new aport

From: AmatCoder <amatcoder_at_gmail.com>
Date: Tue, 23 Dec 2014 22:08:52 +0000

---
 testing/xcursorgen/APKBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 testing/xcursorgen/APKBUILD
diff --git a/testing/xcursorgen/APKBUILD b/testing/xcursorgen/APKBUILD
new file mode 100644
index 0000000..40d1b85
--- /dev/null
+++ b/testing/xcursorgen/APKBUILD
_at_@ -0,0 +1,47 @@
+# Contributor: August Klein <amatcoder_at_gmail.com>
+# Maintainer: August Klein <amatcoder_at_gmail.com>
+pkgname=xcursorgen
+pkgver=1.0.6
+pkgrel=0
+pkgdesc="Create an X cursor file from PNG images"
+url="http://xorg.freedesktop.org"
+arch="all"
+license="MIT"
+depends=""
+depends_dev="libpng-dev libxcursor-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://xorg.freedesktop.org/archive/individual/app/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir=$srcdir/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+md5sums="b58a87e6cd7145c70346adad551dba48  xcursorgen-1.0.6.tar.bz2"
+sha256sums="31c8910f54eb175a8a74a60e7662697467e21a8bf948220a6048a93924b3f66c  xcursorgen-1.0.6.tar.bz2"
+sha512sums="3b464b7be3cec8c6d2bf4538266108bdc09e1dae4053d573f7f38e004929b41be0d996aa54918490fa040655644e2b0d4fab1ec24cca014d77bdb91c41ab1db4  xcursorgen-1.0.6.tar.bz2"
-- 
2.2.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Dec 23 2014 - 22:08:52 GMT